﻿<UserControl x:Class="TheTrader.WPF.Views.BuyView" xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
             xmlns:viewModels="clr-namespace:TheTrader.WPF.ViewModels"
             d:DataContext="{d:DesignInstance viewModels:BuyViewModel}"
             mc:Ignorable="d">
    <UserControl.Resources>
        <BooleanToVisibilityConverter x:Key="BooleanToVisibilityConverter" />
    </UserControl.Resources>
    <Grid Margin="20">
        <Grid.RowDefinitions>
            <RowDefinition Height="Auto" />
            <RowDefinition Height="Auto" />
            <RowDefinition Height="Auto" />
            <RowDefinition Height="Auto" />
        </Grid.RowDefinitions>

        <WrapPanel Grid.Row="0" HorizontalAlignment="Center">
            <TextBox Width="150" Text="{Binding Symbol, UpdateSourceTrigger=PropertyChanged}" TextAlignment="Center" />
            <Button Margin="5,0,0,0" Command="{Binding SearchSymbolCommand}" Content="Search" />
        </WrapPanel>

        <TextBlock Grid.Row="1" Margin="0,10,0,0" HorizontalAlignment="Center"
                   DataContext="{Binding ErrorMessageViewModel}"
                   Foreground="DarkRed" Text="{Binding Message}"
                   Visibility="{Binding HasMessage, Converter={StaticResource BooleanToVisibilityConverter}}" />

        <TextBlock Grid.Row="2" Margin="0,10,0,0" HorizontalAlignment="Center"
                   DataContext="{Binding StatusMessageViewModel}"
                   Foreground="DarkGreen" Text="{Binding Message}"
                   Visibility="{Binding HasMessage, Converter={StaticResource BooleanToVisibilityConverter}}" />

        <Grid Grid.Row="3" MaxWidth="500" Margin="0,20,0,0">
            <Grid.Style>
                <Style TargetType="Grid">
                    <Style.Triggers>
                        <DataTrigger Binding="{Binding SearchResultSymbol}" Value="">
                            <Setter Property="Visibility" Value="Collapsed" />
                        </DataTrigger>
                    </Style.Triggers>
                </Style>
            </Grid.Style>

            <Grid.ColumnDefinitions>
                <ColumnDefinition Width="*" />
                <ColumnDefinition Width="2*" />
            </Grid.ColumnDefinitions>

            <Border Grid.Column="0" Padding="20" BorderBrush="Gray"
                    BorderThickness="1" CornerRadius="3,0,0,3">
                <StackPanel>
                    <TextBlock HorizontalAlignment="Center" FontSize="32" Text="{Binding SearchResultSymbol}" />
                    <TextBlock Margin="0,10,0,0" HorizontalAlignment="Center"
                               Text="{Binding StockPrice, StringFormat={}{0:c}}" />
                </StackPanel>
            </Border>
            <Border Grid.Column="1" Padding="20" BorderBrush="Gray"
                    BorderThickness="0,1,1,1" CornerRadius="0,3,3,0">
                <StackPanel HorizontalAlignment="Center">
                    <WrapPanel Margin="0,10">
                        <TextBlock Width="150" Text="Shares to buy:" />
                        <TextBox Width="50" Text="{Binding SharesToBuy, UpdateSourceTrigger=PropertyChanged}"
                                 TextAlignment="Center" />
                    </WrapPanel>
                    <WrapPanel Margin="0,10">
                        <TextBlock Width="150" Text="Price per share:" />
                        <TextBlock Width="50" Text="{Binding StockPrice, StringFormat={}{0:c}}" TextAlignment="Center" />
                    </WrapPanel>
                    <TextBlock Margin="0,10" HorizontalAlignment="Center" FontSize="32"
                               Text="{Binding TotalPrice, StringFormat={}{0:c}}" />
                    <Button Margin="0,10" Command="{Binding BuyStockCommand}" Content="Buy" FontSize="18" />
                </StackPanel>
            </Border>
        </Grid>
    </Grid>
</UserControl>